# 🚨 Get usage alerts for a company

Get usage alerts and warnings for a company.

Endpoint: GET /usage/alerts
Version: 0.29.6
Security: APIKeyHeader

## Query parameters:

  - `active_only` (boolean)
    Return only active alerts

## Header parameters:

  - `X-PDP-Client-Id` (string, required)
    ID of the PDP Client for which the operation is performed

## Response 200 fields (application/json):

  - `alerts` (array, required)

  - `alerts.company_id` (string, required)

  - `alerts.alert_type` (string, required)
    Type of alert (e.g., 'rate_limit_approaching', 'quota_exceeded')

  - `alerts.threshold_percentage` (number, required)
    Threshold percentage that triggered the alert

  - `alerts.current_usage` (integer, required)
    Current usage count

  - `alerts.limit` (integer, required)
    Usage limit

  - `alerts.endpoint` (any, required)
    Specific endpoint if applicable

  - `alerts.created_at` (string)

  - `alerts.message` (string, required)
    Human-readable alert message

  - `total_count` (integer, required)

## Response 401 fields (application/json):

  - `error` (string, required)

  - `code` (integer, required)

  - `trace_id` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

